> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transfer history

> Get Transfer History

**Limit: 20 requests per 60 seconds**\
Get account token balance change history

<ResponseExample>
  ```bash theme={null}
  {
      "success": true,
      "data": {
          "rows": [
              {
                  "id":225,
                  "token":"USDT",
                  "amount": "1000000",
                  "status":"COMPLETED",
                  "from": {
                    "applicationId": "046b5c5c-5b44-4d27-9593-ddc32c0a08ae",
                    "accountName": "Main"
                  },
                  "to": {
                    "applicationId": "082ae5ae-e26a-4fb1-be5b-03e5b4867663",
                    "accountName": "sub001"
                  }
                  "createdTime":"1642660941.534",
                  "updatedTime":"1642660941.950"
              },
          ],
          "meta": {
              "total": 46,
              "recordsPerPage": 1,
              "currentPage": 1
          }
      },
      "timestamp": 1721295317627
  }

  ```
</ResponseExample>


## OpenAPI

````yaml GET /v3/asset/transfer/history
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/asset/transfer/history:
    get:
      description: Get Transfer History
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            example: abcdef123456
          description: ''
        - name: x-api-signature
          in: header
          required: true
          schema:
            type: string
            example: signaturestring
          description: ''
        - name: x-api-timestamp
          in: header
          required: true
          schema:
            type: string
            example: '1718943200000'
          description: ''
        - $ref: '#/components/parameters/start_filter'
        - $ref: '#/components/parameters/end_filter'
        - $ref: '#/components/parameters/page_filter'
        - $ref: '#/components/parameters/size_filter'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransferHistoryResponse'
      security: []
components:
  parameters:
    start_filter:
      name: startTime
      in: query
      description: start www time in unix timestamp
      required: false
      explode: true
      schema:
        type: integer
    end_filter:
      name: endTime
      in: query
      description: end time in unix timestamp
      required: false
      explode: true
      schema:
        type: integer
    page_filter:
      name: page
      in: query
      description: the page you wish to query.
      required: false
      explode: true
      schema:
        type: integer
        default: 1
    size_filter:
      name: size
      in: query
      description: the page size you wish to query, default = 25, 1000 at max.
      required: false
      explode: true
      schema:
        type: integer
        default: 25
  schemas:
    TransferHistoryResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: integer
                        description: The unique identifier for the transfer.
                      token:
                        type: string
                        description: The token symbol for the transfer, e.g., 'USDT'.
                      amount:
                        type: string
                        description: The amount of the token transferred.
                      status:
                        type: string
                        description: The status of the transfer, e.g., 'COMPLETED'.
                        enum:
                          - COMPLETED
                          - FAILED
                      from:
                        type: object
                        description: The source account details for the transfer.
                        properties:
                          applicationId:
                            type: string
                            description: The application ID of the source account.
                          accountName:
                            type: string
                            description: The account name of the source account.
                      to:
                        type: object
                        description: The destination account details for the transfer.
                        properties:
                          applicationId:
                            type: string
                            description: The application ID of the destination account.
                          accountName:
                            type: string
                            description: The account name of the destination account.
                      createdTime:
                        type: string
                        description: >-
                          The time the transfer was created, represented as a
                          string timestamp.
                      updatedTime:
                        type: string
                        description: >-
                          The time the transfer was last updated, represented as
                          a string timestamp.
                meta:
                  $ref: '#/components/schemas/Meta'
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp
    Meta:
      type: object
      properties:
        total:
          type: integer
          description: Total number of record
        recordsPerPage:
          type: integer
          description: Number of records per page
        currentPage:
          type: integer
          description: Current page number

````